Loading...
Searching...
No Matches
CObjectFactory Class Reference

## Public Member Functions

| CObjectFactory (Gfx::CEngine *engine, Gfx::CTerrain *terrain, Gfx::COldModelManager *oldModelManager, Gfx::CModelManager *modelManager, Gfx::CParticle *particle)
CObjectUPtr | CreateObject (const ObjectCreateParams &params)

The documentation for this class was generated from the following files:

- src/object/object_factory.h
- src/object/object_factory.cpp